## Index

### Variables

- KEY_MODEL

### Functions

- Model
- getGlobalSecondaryIndexes
- getLocalSecondaryIndexes

## Variables

### Const KEY_MODEL

KEY_MODEL: "sc-reflect:model" = "sc-reflect:model"

- Defined in decorator/impl/model/model.decorator.ts:7

## Functions

### Model

- Model(opts?: ModelData): ClassDecorator

- - Defined in decorator/impl/model/model.decorator.ts:9

  #### Parameters

  - ##### Default value opts: ModelData = {}

  #### Returns ClassDecorator

### getGlobalSecondaryIndexes

- getGlobalSecondaryIndexes(properties: Array<PropertyMetadata<any>>): Map<string, SecondaryIndex<any>> | null

- - Defined in decorator/impl/model/model.decorator.ts:54

  #### Parameters

  - ##### properties: Array<PropertyMetadata<any>>

  #### Returns Map<string, SecondaryIndex<any>> | null

### getLocalSecondaryIndexes

- getLocalSecondaryIndexes(basePartitionKey: string | null, properties: Array<PropertyMetadata<any>>): Map<string, SecondaryIndex<any>> | null

- - Defined in decorator/impl/model/model.decorator.ts:111

  #### Parameters

  - ##### basePartitionKey: string | null

  - ##### properties: Array<PropertyMetadata<any>>

  #### Returns Map<string, SecondaryIndex<any>> | null

Generated using TypeDoc